Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687707 - Upgrade from 4.3 to 4.4 will fail if there are versioned templates in database
Summary: Upgrade from 4.3 to 4.4 will fail if there are versioned templates in database
Keywords:
Status: CLOSED DUPLICATE of bug 1547038
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network
Version: 4.2.8.1
Hardware: Unspecified
OS: Linux
high
high vote
Target Milestone: ovirt-4.3.2
: ---
Assignee: Dan Kenigsberg
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1547038 1528316
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 07:59 UTC by Martin Perina
Modified: 2019-03-12 08:04 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1547038
Environment:
Last Closed: 2019-03-12 08:04:41 UTC
oVirt Team: Network
pm-rhel: ovirt-4.3+
pm-rhel: blocker+


Attachments (Terms of Use)

Description Martin Perina 2019-03-12 07:59:53 UTC
+++ This bug was initially created as a clone of Bug #1547038 +++

+++ This bug was initially created as a clone of Bug #1528316 +++


As explained in https://bugzilla.redhat.com/show_bug.cgi?id=1528316#c4 our vm_interface has two fields (vm_guid and vmt_guid) referring to the same table, and we should eliminate this.

--- Additional comment from Red Hat Bugzilla Rules Engine on 2018-02-20 12:54:41 CET ---

This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.

--- Additional comment from Yaniv Kaul on 2018-02-21 09:11:31 CET ---

Is this a bug or a feature?

--- Additional comment from  on 2018-02-22 07:54:53 CET ---

This is technical debt of normalizing the db and aligning the engine accordingly, with no customer facing effects (hopefully...)

--- Additional comment from Yaniv Lavi on 2018-08-29 10:12:03 CEST ---

This seems like a risky change with limited benefit, therefore for now.

--- Additional comment from Dominik Holler on 2019-03-06 10:04:49 CET ---



--- Additional comment from Dominik Holler on 2019-03-06 15:51:50 CET ---

Steps to Reproduce on oVirt 4.3:
1. Create a VM with a vNIC
2. Create a template of this VM
3. Create a subversion of the template
4. Run engine-setup


Actual results:
[ INFO  ] Checking the Engine database consistency
[ ERROR ] Failed to execute stage 'Setup validation': Failed checking Engine database: an exception occurred while validating the Engine database, please check the logs for getting more info:
         Constraint violation found in  vm_interface (vmt_guid) |1


Expected results:
engine-setup succeeds

--- Additional comment from Dominik Holler on 2019-03-08 23:02:23 CET ---



--- Additional comment from Martin Perina on 2019-03-12 08:54:33 CET ---

Removing CodeChange and updating title as this is an upgrade blocker

Comment 1 Martin Perina 2019-03-12 08:04:41 UTC
Ahh, sorry I've missed that we have BZ1684586 to track that issue in 4.3, so closing the clone as duplicate

*** This bug has been marked as a duplicate of bug 1547038 ***


Note You need to log in before you can comment on or make changes to this bug.